package com.zd.chemical.domain.vo;

import com.zd.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * 化学品信息查询过滤条件对象 hxp_chemical
 *
 * @author cyl
 * @date 2022-06-16
 */
@ApiModel("化学品信息查询过滤条件")
public class HxpChemicalSearch  extends BaseEntity {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "关键字搜索")
    private String searchValue;

    @ApiModelProperty(value = "化学品分类")
    private Integer chemicalClassify;

    @ApiModelProperty(value = "化学品属性")
    private Integer classifyAttribute;

    @ApiModelProperty(value = "标签类型")
    private Integer labelType;

    @ApiModelProperty(value = "cas号")
    private String casNum;

    /**
     * 批量操作的id集合
     */
    private List <Long> ids;

    public String getSearchValue() {
        return searchValue;
    }

    public void setSearchValue(String searchValue) {
        this.searchValue = searchValue;
    }

    public Integer getChemicalClassify() {
        return chemicalClassify;
    }

    public void setChemicalClassify(Integer chemicalClassify) {
        this.chemicalClassify = chemicalClassify;
    }

    public Integer getClassifyAttribute() {
        return classifyAttribute;
    }

    public void setClassifyAttribute(Integer classifyAttribute) {
        this.classifyAttribute = classifyAttribute;
    }

    public Integer getLabelType() {
        return labelType;
    }

    public void setLabelType(Integer labelType) {
        this.labelType = labelType;
    }

    public List <Long> getIds() {
        return ids;
    }

    public void setIds(List <Long> ids) {
        this.ids = ids;
    }

    public String getCasNum() {
        return casNum;
    }

    public void setCasNum(String casNum) {
        this.casNum = casNum;
    }
}
